# Types

The types used by the Session Keys project.

```tsx
export type SessionKey = {
  publicKey: string
  privateKey: string
}

export interface AllowedMethod {
  "Contract Address": string
  selector: string
}

export type MetadataTxFee = {
  tokenAddress: string
  maxAmount: string
}

export type SessionMetadata = {
  projectID: string
  txFees: MetadataTxFee[]
  projectSignature?: Signature
}

export type BuildSessionAccountParams = {
  session: Session
  sessionKey: SessionKey
  provider: ProviderInterface
  useCacheAuthorisation?: boolean
  argentSessionServiceBaseUrl?: string
}

export type CreateSessionParams = {
  sessionKey: SessionKey
  allowedMethods: AllowedMethod[]
  expiry: bigint
  metaData: SessionMetadata
}

```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ready.co/aa-use-cases/session-keys/types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
